#
# spec file for package at (Version 3.1.8)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch perl permissions popt postfix procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           at
BuildRequires:  pam-devel postfix
URL:            ftp://ftp.debian.org/debian/pool/main/a/at
License:        GPL
Group:          System/Daemons
Autoreqprov:    on
Version:        3.1.8
Release:        921.2
Summary:        A Job Manager
Source:         at_3.1.8-11.tar.gz
Source1:        atd.init
Source2:        atd.pamd
Patch:          at-%{version}.dif
Patch1:         at-%{version}-bison.patch
Patch2:         at-%{version}-delete_r.patch
Patch3:         at-%{version}-ttime.patch
Patch4:         at-%{version}-joblist.patch
Patch6:         at-selinux-20040909.patch
Patch7:         at-%{version}-pie.patch
Patch8:         at-%{version}-eal3-manpages.dif
Patch9:         at-%{version}-formatbugs.dif
Patch10:        at-3.1.8-pam.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prereq:         /usr/sbin/useradd /usr/sbin/groupadd %fillup_prereq %insserv_prereq

%description
This program allows you to run jobs at specified times.



Authors:
--------
    Thomas Koenig <ig25@rz.uni-karlsruhe.de>
    David Parsons <orc@pell.chi.il.us>
    Martin Schulze <joey@debian.org>
    Siggy Brentrup <bsb@winnegan.de>

%debug_package
%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch6 -p1
%patch7 -p1
%patch8
%patch9
%patch10 -p1 -b .pam

%build
%{?suse_update_config:%{suse_update_config -f}}
rm -fv y.tab.c y.tab.h lex.yy.c lex.yy.o y.tab.o
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
export SENDMAIL=/usr/sbin/sendmail
./configure --prefix=%{_prefix} --with-pam \
	--with-daemon_username=at --with-daemon_groupname=at \
	--mandir=%{_mandir}
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/{init.d,pam.d}
mkdir -p $RPM_BUILD_ROOT/usr/{bin,sbin,share/man/man{1,5,8}}
export CFLAGS="$RPM_OPT_FLAGS"
export SENDMAIL=/usr/sbin/sendmail
make install IROOT=$RPM_BUILD_ROOT
# Don't install docs here in this way
mkdir docs
mv $RPM_BUILD_ROOT/%{_prefix}/doc/at/* docs/
install %SOURCE1 $RPM_BUILD_ROOT/etc/init.d/atd
ln -sf ../../etc/init.d/atd $RPM_BUILD_ROOT/usr/sbin/rcatd
install -m644 %SOURCE2 $RPM_BUILD_ROOT/etc/pam.d/atd

%pre
/usr/sbin/groupadd -g 25 -o -r at 2> /dev/null || :
/usr/sbin/useradd -r -o -g at -u 25 -s /bin/bash -c "Batch jobs daemon" -d /var/spool/atjobs at 2> /dev/null || :

%preun
%stop_on_removal atd

%post
# update hack
# the rcscript used to be /etc/init.d/at
if [ -f etc/init.d/at ] ; then
rm -f etc/init.d/at
%{insserv_cleanup}
fi
%{fillup_and_insserv atd }
%run_permissions

%postun
%restart_on_update atd
%insserv_cleanup

%files
%defattr(-,root,root)
%doc Problems Copyright README ChangeLog timespec
%config(noreplace) /etc/at.deny
/usr/sbin/rcatd
%config /etc/init.d/atd
%config %attr(644,root,root) /etc/pam.d/atd
%verify(not mode) %attr(4750,root,trusted) /usr/bin/at
/usr/bin/atq
/usr/bin/atrm
/usr/bin/batch
%doc /usr/share/man/man1/at.1.gz
%doc /usr/share/man/man1/atq.1.gz
%doc /usr/share/man/man1/atrm.1.gz
%doc /usr/share/man/man1/batch.1.gz
%doc /usr/share/man/man5/at.allow.5.gz
%doc /usr/share/man/man5/at.deny.5.gz
%doc /usr/share/man/man8/atd.8.gz
%doc /usr/share/man/man8/atrun.8.gz
/usr/sbin/atd
/usr/sbin/atrun
%attr(700,at,at) %dir /var/spool/atspool
%attr(700,at,at) %dir /var/spool/atjobs
%attr(600,at,at) /var/spool/atjobs/.SEQ

%changelog -n at
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Dec 05 2005 - kukuk@suse.de
- Disable SELinux
* Mon Aug 29 2005 - kukuk@suse.de
- Make pam config file non-executeable
* Thu Aug 25 2005 - kukuk@suse.de
- Remove pam_loginuid.so  [may fix #112802]
* Mon Aug 15 2005 - kukuk@suse.de
- Update to at-3.1.8-11 tarball (includes old patches)
- Add PAM support
* Thu Jun 02 2005 - kukuk@suse.de
- Compile with -fpie/-pie
- Update SELinux patch
* Sat Feb 05 2005 - meissner@suse.de
- mark up for format string using functions.
- fixed one error output
* Tue May 25 2004 - ro@suse.de
- added "-t" docu to manpage
* Thu Mar 25 2004 - mmj@suse.de
- Add postfix to # neededforbuild
* Tue Mar 23 2004 - thomas@suse.de
- Added patch for EAL3 man-pages
* Tue Mar 23 2004 - thomas@suse.de
- Added patch for LAuS
* Wed Jan 28 2004 - kukuk@suse.de
- Add patch for SELinux
* Mon Oct 27 2003 - ro@suse.de
- package /usr/bin/at as 4750,root,trusted as in permissions.secure
- add verify (not mode) for /usr/bin/at
- add run_permissions macro to postinstall
* Mon Oct 20 2003 - ro@suse.de
- don't build as root
* Tue Oct 07 2003 - ro@suse.de
- support "at -l -q queue" and "-t timespec" (#31957)
  (ported from FreeBSD)
* Fri Aug 29 2003 - kukuk@suse.de
- Create at as system account [Bug #29611]
* Fri Aug 15 2003 - ro@suse.de
- make "at -r" behave like "at -d" (#28753)
- added restart_on_update/stop_on_removal macros
* Fri Jul 18 2003 - kukuk@suse.de
- Fix spec file/Makefile to be able to build as normal user
* Wed Jun 18 2003 - ro@suse.de
- added "X-UnitedLinux-Default-Enabled: no" to init-script
* Wed Jun 18 2003 - ro@suse.de
- don't activate by default
* Mon May 19 2003 - ro@suse.de
- fix filelist
* Tue May 13 2003 - ro@suse.de
- use defattr
* Tue Mar 11 2003 - ro@suse.de
- fix postinstall for updates (appeared in #24653)
* Thu Nov 07 2002 - tcrhak@suse.cz
- fixed for bison 1.75: end rules with semicolon
* Fri Aug 23 2002 - bk@suse.de
- mark /etc/at.deny as noreplace
* Mon Aug 19 2002 - kukuk@suse.de
- Use $time instead of xntp in init script.
* Thu Aug 01 2002 - ro@suse.de
- added prereqs
* Mon Jul 01 2002 - ro@suse.de
- add ntp to Required-Start in init-script (#15833)
* Mon May 27 2002 - ro@suse.de
- set SIGCHLD handler back to default when starting job
* Fri May 24 2002 - ro@suse.de
- create user in install section
* Wed May 22 2002 - kukuk@suse.de
- Create at user/group in preinstall script
* Tue Apr 02 2002 - ro@suse.de
- don't try to copy config.guess and config.sub
  (already done by suse_update_config)
* Wed Jan 16 2002 - ro@suse.de
- integrated two patches:
  at-3.1.8-heapcorruption.dif and at-3.1.8-o_excl.dif
  against heap corruption in time parser for commandline and for
  safer opening of a file (O_EXCL).
- removed all generated files from patch and copy config.{sub,guess}
  from current automake
* Wed Jan 09 2002 - kukuk@suse.de
- Fix path to timespec in at.1 manual page [Bug #12784]
* Tue Jan 08 2002 - egmont@suselinux.hu
- removed colons from init script messages
* Wed Jan 02 2002 - kukuk@suse.de
- Remove warning about cron and at (never worked before and user
  cannot see it)
- Rename init script from at to atd
- Don't source rc.config in init script (not needed any longer)
- Remove $route from init script dependencies (does not exist)
  [Bug #12689]
- Use BuildRoot
* Fri Dec 14 2001 - ro@suse.de
- removed START_ATD
* Mon Aug 06 2001 - ro@suse.de
- updated rc script
* Fri Jun 15 2001 - schwab@suse.de
- Add %%suse_update_config.
* Tue Nov 28 2000 - ro@suse.de
- startscript to etc/init.d
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Wed Feb 16 2000 - dipa@suse.de
- apply debian patch at_3.1.8-8.diff full section of: at.c, at.1.in,
  at.deny, at_allow.5, atd.8.in, at.8.in, batch config.guess,
  config.sub, daemon.c, lex.yy.c, panic.c, parsetime.y, y.tab.c
  (fix for bug #1766)
* Fri Feb 04 2000 - ro@suse.de
- fix missing getlock preload
* Fri Feb 04 2000 - ro@suse.de
- applied security fixes from thomas
* Mon Jan 17 2000 - ro@suse.de
- man -> usr/share/man
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 08 1998 - ro@suse.de
- added reload to script (does a restart)
* Mon Dec 07 1998 - ro@suse.de
- added symlink /sbin/rcat -> init.d/at
* Mon Dec 07 1998 - ro@suse.de
- updated init-script
* Fri Feb 27 1998 - ro@suse.de
- installed timespec in docdir / fixed path in manpage
* Mon Oct 27 1997 - ro@suse.de
- update to version 3.1.8
  ready for autobuild
* Sun Jun 22 1997 - florian@suse.de
- update to version 3.1.7
* Sun Jun 01 1997 - bs@suse.de
- moved fillup stuff to var/adm/fillup-templates
* Thu Jan 02 1997 - bs@suse.de
  boot script beautified.
* Thu Jan 02 1997 - bs@suse.de
  recompiled and added README
* Thu Jan 02 1997 - bs@suse.de
- /var/spool/atspool/atspool fixed.
* Thu Jan 02 1997 - bs@suse.de
- new version 3.0
- fillup etc/rc.config and sbin/init.d/at added.
* Thu Jan 02 1997 - bs@suse.de
  switched to version pre-3.0-960812.
  New: atd (daemon)
  fillup etc/rc.config and sbin/init.d-stuff added.
* Thu Jan 02 1997 - florian@suse.de
  allow login names to be up to 16 characters long
